#!/usr/bin/env python3.7
# -*- coding: UTF-8 -*-

"""The ``des`` module provides access to data from the Dark Energy Survey
(DES). It includes photometric data used in the cosmological analysis from the
first 3 years of spectroscopically classified supernovae (SNe).
For more information on DES see https://des.ncsa.illinois.edu .
"""

from . import sn3yr

survey_name = 'Dark Energy Survey'
survey_abbrev = 'DES'
